> ## Documentation Index
> Fetch the complete documentation index at: https://ekacare-quickstart-cleanup.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Doctor Joined Video Call

> 
This webhook is triggered when a doctor joins a scheduled video consultation.

**Field Definitions**

• **event**: string - The type of resource for which event is generated. When doctor joins video call, this will be `appointment.tele.dr_joined`.

• **service**: string - The type of service. For appointments, this will be `appointment`.

• **business_id**: string - The eka id of business.

• **event_time**: integer - Event occurrence timestamp.

• **timestamp**: integer - Event occurrence timestamp.

• **client_id**: string- Client ID for the appointment

• **transaction_id**: string - The id of the transaction.

• **data**: object - Contains detailed information about the appointment event.

• **appointment_id**: string - Unique identifier for the appointment.

• **doctor_id**: string - Unique identifier for the doctor.

• **patient_id**: string - Unique identifier for the patient.

• **clinic_id**: string - Unique identifier for the clinic.

• **video_connect**: object - Contains information about vendor, meet_link and host_link.

 
• **host_link**: string - Link for the doctor.

• **meet_link**: string - Link for the meeting patient.

• **vendor**: string - The video conferencing service provider.

**Example Webhook Request**

**Endpoint:** [https://your-registered-webhook-url.com](https://your-registered-webhook-url.com)

**Method:** POST



## OpenAPI

````yaml post /registered_url_for_appointment_tele_dr_joined_webhook_events
openapi: 3.1.0
info:
  title: Transaction Status API
  version: 1.0.0
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
servers:
  - url: https://{partner_host}
    variables:
      partner_host:
        default: api.example.com
        description: Partner API host
security: []
paths:
  /registered_url_for_appointment_tele_dr_joined_webhook_events:
    post:
      tags:
        - Appointment Webhooks
      summary: Doctor Joined Video Call
      description: >-

        This webhook is triggered when a doctor joins a scheduled video
        consultation.


        **Field Definitions**


        • **event**: string - The type of resource for which event is generated.
        When doctor joins video call, this will be `appointment.tele.dr_joined`.


        • **service**: string - The type of service. For appointments, this will
        be `appointment`.


        • **business_id**: string - The eka id of business.


        • **event_time**: integer - Event occurrence timestamp.


        • **timestamp**: integer - Event occurrence timestamp.


        • **client_id**: string- Client ID for the appointment


        • **transaction_id**: string - The id of the transaction.


        • **data**: object - Contains detailed information about the appointment
        event.


        • **appointment_id**: string - Unique identifier for the appointment.


        • **doctor_id**: string - Unique identifier for the doctor.


        • **patient_id**: string - Unique identifier for the patient.


        • **clinic_id**: string - Unique identifier for the clinic.


        • **video_connect**: object - Contains information about vendor,
        meet_link and host_link.

         
        • **host_link**: string - Link for the doctor.


        • **meet_link**: string - Link for the meeting patient.


        • **vendor**: string - The video conferencing service provider.


        **Example Webhook Request**


        **Endpoint:**
        [https://your-registered-webhook-url.com](https://your-registered-webhook-url.com)


        **Method:** POST
      operationId: DrJoinedTeleAppointmentWebhook
      parameters: []
      requestBody:
        description: ''
        content:
          application/json:
            schema:
              type: object
              properties:
                service:
                  type: string
                  example: appointment
                  description: Type of serivce
                event:
                  type: string
                  example: appointment.tele.dr_joined
                  description: Type of event
                transaction_id:
                  type: string
                  example: 8y3458734657
                  description: Transaction ID for the appointment
                event_time:
                  type: integer
                  example: 1730189586
                  description: Event occured timestamp
                timestamp:
                  type: integer
                  example: 1730189586
                  description: Event occured timestamp
                business_id:
                  type: string
                  example: '174159057718553'
                  description: Business ID for the appointment
                client_id:
                  type: string
                  example: 67978400352a61001d64e9fb
                  description: Client ID for the appointment
                data:
                  type: object
                  properties:
                    appointment_id:
                      type: string
                      example: api-abb67007-1e53-4f0f-b428-a4bc025468a4
                      description: Unique appointment ID
                    doctor_id:
                      type: string
                      example: '174159057723920'
                      description: Identifier for the doctor in Eka
                    patient_id:
                      type: string
                      example: '174678912588458'
                      description: Identifier for the patient in Eka
                    clinic_id:
                      type: string
                      example: 67978400352a61001d64e9fb
                      description: Identifier for the clinic in Eka
                    video_connect:
                      type: object
                      properties:
                        host_link:
                          type: string
                          example: https://xyz.com
                        meet_link:
                          type: string
                          example: https://xyz.com
                        vendor:
                          type: string
                          example: abc
                      description: Video conferencing details
      responses:
        '200':
          description: ''
          headers: {}
      deprecated: false

````